Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class ModifyDBParameterGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.ModifyDBParameterGroupRequest

    public class ModifyDBParameterGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ModifyDBParameterGroup operation`.

This API modifies the parameters of a DBParameterGroup. To modify more than one parameter submit a list of the following: ParameterName, ParameterValue, and ApplyMethod. A maximum of 20 parameters can be modified in a single request.

See Also:
  `AmazonRDS.modifyDBParameterGroup(ModifyDBParameterGroupRequest)`

Constructor Summary
`ModifyDBParameterGroupRequest()`

Method Summary
`String` | `getDBParameterGroupName()` The name of the database parameter group.
`List<Parameter>` | `getParameters()` An array of parameter names, values, and the apply method for the parameter update.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the database parameter group.
`void` | `setParameters(Collection<Parameter> parameters)` An array of parameter names, values, and the apply method for the parameter update.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ModifyDBParameterGroupRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the database parameter group.
`ModifyDBParameterGroupRequest` | `withParameters(Collection<Parameter> parameters)` An array of parameter names, values, and the apply method for the parameter update.
`ModifyDBParameterGroupRequest` | `withParameters(Parameter... parameters)` An array of parameter names, values, and the apply method for the parameter update.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifyDBParameterGroupRequest

    public ModifyDBParameterGroupRequest()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the database parameter group.

  Returns:
    The name of the database parameter group.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the database parameter group.

  Parameters:
    `dBParameterGroupName` - The name of the database parameter group.

### withDBParameterGroupName

    public ModifyDBParameterGroupRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the database parameter group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the database parameter group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getParameters

    public List<Parameter> getParameters()

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns:
    An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

### setParameters

    public void setParameters(Collection<Parameter> parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

### withParameters

    public ModifyDBParameterGroupRequest withParameters(Parameter... parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withParameters

    public ModifyDBParameterGroupRequest withParameters(Collection<Parameter> parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.